Bug 106902 - Lock up of via8cxxx_audio module
Lock up of via8cxxx_audio module
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-13 04:59 EDT by Adam Kozakiewicz
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Kozakiewicz 2003-10-13 04:59:25 EDT
From Bugzilla Helper:
User-Agent: Opera/7.21 (X11; Linux i686; U)  [en]

Description of problem:
This bug is most often triggered by Opera. Once in a while a sound being played 
stops with a click and sound becomes unavailable (/dev/dsp in use). lsof doesn't 
show any process using /dev/dsp, killing mostly everything doesn't bring sound 
back. Trying ogg123 from the console showed me the message:

Assertion failed: chan->is_active==sg_active(chan->iobase),via82cxxx_audio.c, 
via_chan_maybe_start, line=1389

The machine has to be rebooted to get the sound back (the modules are reported 
as in use, can't rmmod them).

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.7

How reproducible:
Sometimes

Steps to Reproduce:
1. Run Opera with sound played for incoming mail and/or finished transfers for 
some time.
2. Be unlucky - the bug appears at random, about 3-5 times a week under heavy 
use. 
3.
    

Actual Results:  Sound stops, the device is locked until reboot

Expected Results:  Normal playback. If not possible (a bug in Opera?), closing 
the program should restore sound, the module shouldn't lock up, a reboot should 
not be necessary.

Additional info:

I think it might be caused by Opera trying to play a second sound while the 
first one is still playing, but it's just a feeling.

Opera runs as a normal user and should not be able to disrupt any part of the 
kernel.

Athlon MP1600+, VIA KT133, sound from VT82C686 AC97
Comment 1 Bugzilla owner 2004-09-30 11:41:35 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.